package com.liang.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 完成单位(PrjCompletecompany)实体类
 *
 * @author makejava
 * @since 2023-03-10 11:21:40
 */
@Data
public class PrjCompletecompany implements Serializable {
    private static final long serialVersionUID = 925508725096854520L;

    private Integer id;
    /**
     * 项目
     */
    private Integer xm;
    /**
     * 单位
     */
    private Integer dw;
    /**
     * 名称
     */
    private String dwmc;
    /**
     * 单位名称
     */
    private String dwqc;
    /**
     * 预算字段
     */
    private String yszd;
    /**
     * 联系人
     */
    private Integer lxr;
    private String lxrxm;
    /**
     * 用户详情
     */
    private String yhxq;
    /**
     * 用户组详情
     */
    private String yhzxq;
    /**
     * 是否转移支付
     */
    private Boolean sfzyzf;
    private String sfzyzfmc;

    /**
     * 子课题经费合计
     */
    private Double sumjf;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getXm() {
        return xm;
    }

    public void setXm(Integer xm) {
        this.xm = xm;
    }

    public Integer getDw() {
        return dw;
    }

    public void setDw(Integer dw) {
        this.dw = dw;
    }

    public String getDwqc() {
        return dwqc;
    }

    public void setDwqc(String dwqc) {
        this.dwqc = dwqc;
    }

    public String getYszd() {
        return yszd;
    }

    public void setYszd(String yszd) {
        this.yszd = yszd;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public Integer getLxr() {
        return lxr;
    }

    public void setLxr(Integer lxr) {
        this.lxr = lxr;
    }

    public String getLxrxm() {
        return lxrxm;
    }

    public void setLxrxm(String lxrxm) {
        this.lxrxm = lxrxm;
    }

    public String getYhxq() {
        return yhxq;
    }

    public void setYhxq(String yhxq) {
        this.yhxq = yhxq;
    }

    public String getYhzxq() {
        return yhzxq;
    }

    public void setYhzxq(String yhzxq) {
        this.yhzxq = yhzxq;
    }

    public Boolean getSfzyzf() {
        return sfzyzf;
    }

    public void setSfzyzf(Boolean sfzyzf) {
        this.sfzyzf = sfzyzf;
    }

    public String getSfzyzfmc() {
        return sfzyzfmc;
    }

    public void setSfzyzfmc(String sfzyzfmc) {
        this.sfzyzfmc = sfzyzfmc;
    }
}

